public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-timeout/
Date: Fri, 17 Jul 2020 05:56:30 +0000 (UTC)	[thread overview]
Message-ID: <1594965384.3cada3e7b0743d8f358f416eecd4d93fab98d0cf.mgorny@gentoo> (raw)

commit:     3cada3e7b0743d8f358f416eecd4d93fab98d0cf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 17 05:34:32 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 17 05:56:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cada3e7

dev-python/pytest-timeout: Bump to 1.4.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-timeout/Manifest                 |  1 +
 .../pytest-timeout/pytest-timeout-1.4.2.ebuild     | 33 ++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/pytest-timeout/Manifest b/dev-python/pytest-timeout/Manifest
index fa27ed99f7b..7f13193f8dc 100644
--- a/dev-python/pytest-timeout/Manifest
+++ b/dev-python/pytest-timeout/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-timeout-1.3.4.tar.gz 12255 BLAKE2B c8991e0255a490048f43e1163d0315cb8fabfaf9d96deb476e2d59da7efce8c63da09b1e8e6f9d6f3fe82b3c6f67608b5e5db117e6378a041ca6e5ba9c71fc05 SHA512 29af25f3c3776d9ef63c6b7217ffc6b0cedd873b8cc96be742a642da84d12c8988bb9b409e00850246e554b21908d6fd2207692650b154cf6831f38c4395bc80
 DIST pytest-timeout-1.4.1.tar.gz 13804 BLAKE2B 45e9bdf6eb39e706cac2c9484cd34a9f16096d71d0146251bef9591c35c269043c95e641bed40b25e3d2076fe29a5782363bf9130b331eb04c4e867b1e8f646b SHA512 b62b090365c1cfe1a4d544b5645f828e451ec5229313c50a26ce04ba6cb203ff9ab487c61fb000af342f3d499e11f67aff5f84ff5b00328a129f1f39d4aabf28
+DIST pytest-timeout-1.4.2.tar.gz 15424 BLAKE2B b7ab91833e59af56ae50c066c14bb9b8ae9995d1586f35b29f107665d7da124828d7accc1b0149702f2973c61f18024739c68de736ae8aae6f55e8a10bf5d4ff SHA512 3446ecdb5aaad5fbca12df4e7f4f40c6c1a12895d3ed9f3a3ee24800ce36deed3cb8c09a4cc72220c962b06f821cfd55bf7eebbca23664c56abf2d0e5bc8fbea

diff --git a/dev-python/pytest-timeout/pytest-timeout-1.4.2.ebuild b/dev-python/pytest-timeout/pytest-timeout-1.4.2.ebuild
new file mode 100644
index 00000000000..516df2f00d5
--- /dev/null
+++ b/dev-python/pytest-timeout/pytest-timeout-1.4.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python{2_7,3_{6,7,8,9}} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="py.test plugin to abort hanging tests"
+HOMEPAGE="https://pypi.org/project/pytest-timeout/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+# do not rdepend on pytest, it won't be used without it anyway
+# pytest-cov used to test compatibility
+BDEPEND="
+	test? (
+		dev-python/pexpect[${PYTHON_USEDEP}]
+		dev-python/pytest-cov[${PYTHON_USEDEP}]
+	)"
+
+distutils_enable_tests pytest
+
+python_test() {
+	distutils_install_for_testing
+
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-07-17  5:56 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-17  5:56 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-09 16:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-timeout/ Michał Górny
2024-03-23 10:45 Michał Górny
2024-03-23 10:41 Michał Górny
2024-03-08  5:40 Michał Górny
2023-11-11 20:36 Michał Górny
2023-11-11 19:21 Sam James
2023-10-10  7:13 Michał Górny
2023-10-10  7:13 Michał Górny
2023-10-08 17:48 Michał Górny
2023-05-23 18:36 Arthur Zamarin
2023-03-17 15:23 Michał Górny
2022-05-09 20:38 Michał Górny
2022-02-27 18:46 Michał Górny
2022-01-18 22:44 Michał Górny
2022-01-13 21:53 Michał Górny
2022-01-13 19:29 Arthur Zamarin
2021-12-14 10:21 Michał Górny
2021-11-13  9:26 Arthur Zamarin
2021-10-11  7:56 Michał Górny
2021-09-21 21:37 James Le Cuirot
2021-05-24  2:39 Joshua Kinard
2021-05-19 18:32 Michał Górny
2020-11-18  8:47 Michał Górny
2020-10-22 21:06 Michał Górny
2020-10-22  7:18 Sam James
2020-09-21 16:06 Michał Górny
2020-09-20 14:30 Michał Górny
2020-08-01 21:48 Michał Górny
2020-07-11  8:06 Michał Górny
2020-07-11  7:51 Michał Górny
2020-07-09  8:59 Agostino Sarubbo
2020-07-08  8:26 Michał Górny
2020-06-16  8:18 Michał Górny
2020-06-15  7:23 Michał Górny
2020-06-11 21:48 Sergei Trofimovich
2020-05-28 18:20 Sergei Trofimovich
2020-05-26 10:35 Michał Górny
2020-05-06 16:43 Mikle Kolyada
2020-05-05 22:13 Sergei Trofimovich
2020-04-29 11:03 Michał Górny
2020-04-18 14:25 Michał Górny
2020-04-08 14:01 Agostino Sarubbo
2020-04-07  7:03 Georgy Yakovlev
2020-03-28 18:49 Michał Górny
2020-03-16  5:54 Matt Turner
2020-03-14 16:33 Michał Górny
2020-03-08 10:46 Agostino Sarubbo
2020-03-08 10:37 Agostino Sarubbo
2020-03-08 10:25 Agostino Sarubbo
2020-02-06 21:11 Sergei Trofimovich
2019-12-04 19:44 Sergei Trofimovich
2019-12-02 21:13 Aaron Bauman
2019-04-28  8:15 Maxim Koltsov
2017-12-05  4:53 Tim Harder
2017-05-03  7:37 Michał Górny
2017-03-22 19:48 Markus Meier
2017-02-13  9:03 Zac Medico
2017-01-21 18:54 Agostino Sarubbo
2017-01-21 17:27 Agostino Sarubbo
2016-11-30 14:45 Lars Wendler
2016-06-29 18:49 Patrick Lauer
2015-10-15  9:21 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1594965384.3cada3e7b0743d8f358f416eecd4d93fab98d0cf.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox